Debian Bug report logs - #679311
brasero: FTBFS[kfreebsd]: symbol delta

version graph

Package: src:brasero; Maintainer for src:brasero is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 27 Jun 2012 20:27:04 UTC

Severity: serious

Tags: sid, wheezy

Found in version brasero/3.4.1-1

Fixed in version brasero/3.4.1-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#679311; Package src:brasero. (Wed, 27 Jun 2012 20:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 27 Jun 2012 20:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: brasero: FTBFS[kfreebsd]: symbol delta
Date: Wed, 27 Jun 2012 22:24:38 +0200
Package: src:brasero
Version: 3.4.1-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

dh_compress -pbrasero-cdrkit  
dh_fixperms -pbrasero-cdrkit  
dh_makeshlibs -pbrasero-cdrkit  --no-act
dh_strip -plibbrasero-media3-1  
dh_compress -plibbrasero-media3-1  
dh_fixperms -plibbrasero-media3-1  
dh_makeshlibs -plibbrasero-media3-1  -V 'libbrasero-media3-1 (>= 3.0.0)' -Xplugins -- -c4
dpkg-gensymbols: warning: some symbols or patterns disappeared in the symbols file: see diff output below
dpkg-gensymbols: warning: debian/libbrasero-media3-1/DEBIAN/symbols doesn't match completely debian/libbrasero-media3-1.symbols
--- debian/libbrasero-media3-1.symbols (libbrasero-media3-1_3.4.1-1_kfreebsd-i386)
+++ dpkg-gensymbolsftlW5e	2012-06-25 20:16:08.000000000 +0000
@@ -177,11 +177,11 @@
  brasero_dest_selection_set_session@Base 3.0.0
  brasero_drive_properties_get_type@Base 3.0.0
  brasero_drive_properties_new@Base 3.0.0
- brasero_file_monitor_directory_contents@Base 3.0.0
- brasero_file_monitor_foreach_cancel@Base 3.0.0
- brasero_file_monitor_get_type@Base 3.0.0
- brasero_file_monitor_reset@Base 3.0.0
- brasero_file_monitor_single_file@Base 3.0.0
+#MISSING: 3.4.1-1# brasero_file_monitor_directory_contents@Base 3.0.0
+#MISSING: 3.4.1-1# brasero_file_monitor_foreach_cancel@Base 3.0.0
+#MISSING: 3.4.1-1# brasero_file_monitor_get_type@Base 3.0.0
+#MISSING: 3.4.1-1# brasero_file_monitor_reset@Base 3.0.0
+#MISSING: 3.4.1-1# brasero_file_monitor_single_file@Base 3.0.0
  brasero_file_node_add@Base 3.0.0
  brasero_file_node_check_imported_sibling@Base 3.0.0
  brasero_file_node_check_name_existence@Base 3.0.0
dh_makeshlibs: dpkg-gensymbols -plibbrasero-media3-1 -Idebian/libbrasero-media3-1.symbols -Pdebian/libbrasero-media3-1 -edebian/libbrasero-media3-1/usr/lib/libbrasero-burn3.so.1.2.3
 -edebian/libbrasero-media3-1/usr/lib/libbrasero-media3.so.1.2.3
 -edebian/libbrasero-media3-1/usr/lib/libbrasero-utils3.so.1.2.3
 -c4 returned exit code 1
make: *** [binary-fixup/libbrasero-media3-1] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=brasero&arch=kfreebsd-i386&ver=3.4.1-1&stamp=1340655382

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Wed, 27 Jun 2012 22:33:12 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 27 Jun 2012 22:33:12 GMT) Full text and rfc822 format available.

Message #10 received at 679311-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 679311-close@bugs.debian.org
Subject: Bug#679311: fixed in brasero 3.4.1-2
Date: Wed, 27 Jun 2012 22:32:47 +0000
Source: brasero
Source-Version: 3.4.1-2

We believe that the bug you reported is fixed in the latest version of
brasero, which is due to be installed in the Debian FTP archive:

brasero-cdrkit_3.4.1-2_amd64.deb
  to main/b/brasero/brasero-cdrkit_3.4.1-2_amd64.deb
brasero-common_3.4.1-2_all.deb
  to main/b/brasero/brasero-common_3.4.1-2_all.deb
brasero_3.4.1-2.debian.tar.gz
  to main/b/brasero/brasero_3.4.1-2.debian.tar.gz
brasero_3.4.1-2.dsc
  to main/b/brasero/brasero_3.4.1-2.dsc
brasero_3.4.1-2_amd64.deb
  to main/b/brasero/brasero_3.4.1-2_amd64.deb
gir1.2-brasero-3.0_3.4.1-2_amd64.deb
  to main/b/brasero/gir1.2-brasero-3.0_3.4.1-2_amd64.deb
libbrasero-media3-1_3.4.1-2_amd64.deb
  to main/b/brasero/libbrasero-media3-1_3.4.1-2_amd64.deb
libbrasero-media3-dev_3.4.1-2_amd64.deb
  to main/b/brasero/libbrasero-media3-dev_3.4.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679311@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated brasero package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 28 Jun 2012 00:00:29 +0200
Source: brasero
Binary: brasero brasero-common brasero-cdrkit libbrasero-media3-1 libbrasero-media3-dev gir1.2-brasero-3.0
Architecture: source all amd64
Version: 3.4.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 brasero    - CD/DVD burning application for GNOME
 brasero-cdrkit - cdrkit extensions for the Brasero burning application
 brasero-common - Common files for the Brasero CD burning application and library
 gir1.2-brasero-3.0 - CD/DVD burning library for GNOME - GObject introspection data
 libbrasero-media3-1 - CD/DVD burning library for GNOME - runtime
 libbrasero-media3-dev - CD/DVD burning library for GNOME - development
Closes: 679311
Changes: 
 brasero (3.4.1-2) unstable; urgency=low
 .
   * Mark the brasero_file_monitor_* symbols as arch=linux-any. Closes: #679311
Checksums-Sha1: 
 a43d8d025e99d17fad3becfdc2aa1418686efec5 2972 brasero_3.4.1-2.dsc
 19be1eafb06b2f1198f4c98e7a6b0da9df298438 17583 brasero_3.4.1-2.debian.tar.gz
 3089814fb00cd17cb656b4a0569ef01f0d19fbc6 3547406 brasero-common_3.4.1-2_all.deb
 c88c058fc32b38d83d3d938a7f809bf0f1d3bc89 713218 brasero_3.4.1-2_amd64.deb
 0ce4a0d582c17c12103e64b8150c3fa2b2c0d617 549340 brasero-cdrkit_3.4.1-2_amd64.deb
 8ad515be6e809e9ed5f6a900e041392d3ce58b36 993828 libbrasero-media3-1_3.4.1-2_amd64.deb
 1b32ece2a9913a3552d2d9faff98ff9d9fccf5a2 642640 libbrasero-media3-dev_3.4.1-2_amd64.deb
 c966c79ae034b6205c22a5227f9d3b0ea5be9088 529910 gir1.2-brasero-3.0_3.4.1-2_amd64.deb
Checksums-Sha256: 
 e4d5ad62c5d61b62516404eba5faf9b010fab5b4b5450e45d08da803f8d12b7a 2972 brasero_3.4.1-2.dsc
 0313d89056454e0fb9592fb571581f16b913a13184acd7f5545f5a56a1cfcf12 17583 brasero_3.4.1-2.debian.tar.gz
 2eb047ca38e48e38ee642a8e8a2db8ad2a6d85f23622a6ff58f3798e562a74bc 3547406 brasero-common_3.4.1-2_all.deb
 95dbc59cb9ffcd5193c0d412b76e2aabd0fc554ec855ce0e4238a3ddefc5d475 713218 brasero_3.4.1-2_amd64.deb
 eef4abfabe3b81cbb9b8cbfdaad9f0312201ad7e2b15d02e6ca3278374fcb976 549340 brasero-cdrkit_3.4.1-2_amd64.deb
 3c53d40e6af3a4fab9b9fef25076b922cd0d4df5ea4b0d30acb61abf2038a68c 993828 libbrasero-media3-1_3.4.1-2_amd64.deb
 896029f5148db0e866409262ae7e84083c3a9c31c8d3cb7b4c53aaf7b8b8e0d4 642640 libbrasero-media3-dev_3.4.1-2_amd64.deb
 77ecccae54b0dbdfc6509d82b78d642472ee622d58b24970e58bf33af9c3330c 529910 gir1.2-brasero-3.0_3.4.1-2_amd64.deb
Files: 
 d6758f04b0257ffc0320901fea372606 2972 gnome optional brasero_3.4.1-2.dsc
 c9e93fcebef66f508daba6f3dc78824b 17583 gnome optional brasero_3.4.1-2.debian.tar.gz
 d6378062fec41354e1ae3c43e63948b1 3547406 gnome optional brasero-common_3.4.1-2_all.deb
 5d2aac758fe186f676d32521b504bb72 713218 gnome optional brasero_3.4.1-2_amd64.deb
 4c0496cd184dadfc880de0c7c65229cd 549340 gnome optional brasero-cdrkit_3.4.1-2_amd64.deb
 bbe2f984882596c0af623a1b4e9b9bc1 993828 libs optional libbrasero-media3-1_3.4.1-2_amd64.deb
 5adcd005667e4daba5c507102664e064 642640 libdevel optional libbrasero-media3-dev_3.4.1-2_amd64.deb
 2e1b836782a9dc3bf65d50d294a30bb8 529910 introspection optional gir1.2-brasero-3.0_3.4.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP64SWAAoJEGrh3w1gjyLc5mgQAJWaxp70F0405RNf4qXTRUkL
P2PbuFWYN0FUfxjt3ofR9l/Cgsk6t4B1PC6kNzVmxon/4ij89Wq1manorMXBv7CI
eai9vNyS+r58tDX6zpY1aOfMMufxBuN94NTlt/J7twT5qkZtDM8XToImJXVRjh4E
MK7FopRvtxI85OACXOWQnCkr3gCmgS/VcEEZWNQUEmTfon5VZoZyLXYHuDsOAous
69q7K+CdYRCgscgBZrX69nhycXAJJemfmFx1g6c6EGzLIP+BPMjwpnfB3V4nUXSo
QdWU9edut2Hz0Mp48+z89r6xQA0b2fwfnlXX3L2jv8l7KfaEUSawz2nwuSMcCrSw
rG3spE6OIDdmk6DOVfqSsvmalTFrtRwj5uS6cW3y7wKMy+M1HVkO1xaIDYZsca7w
e61tApNW2ep5GmpyHYUaFPffz/Hsy4Ggvfv6Uyh1sxz3rJsl2LpLjIYob33uMg7F
radZSrxrKlq6rSmVg+Y7cpzH9IO7I81qJvBGPAXka4me3toSzc7QWpX+ZLXU4QhU
r/92gRkvsSS0twc2g5rBMw8avBHwiFz+WQZjdUuRnRqRmKC4tAx+UW10YwIMpQrU
WE5T2HQXVxXhtIMJrsH1bdtCs4736o4d/J0MDYR+Zcjn8AQh+yB8ac1Kpq4tygIZ
+m854SfZ+SzwI43NntvX
=f4G9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Aug 2012 07:27:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:47:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.